Python version not recognized

Linux (Theli bezogen), Theli, GUI und Hilfsprogramme.
Forumsregeln
Bitte die Beiträge kurz fassen, so kann man sie nachher besser finden. Sollte ein Problem gelöst sein, dann einen neuen Beitrag eröffnen. Ebenso wenn die Ursache eine ganz andere ist, oder es Offtopic wird.

Python version not recognized

Beitragvon maren551 » Mittwoch 1. Januar 2020, 00:37

Hi,
I am a Linux Fedora user and on a new computer just installed Fedora 31. The gui installation under FC 31 failed, telling me that it wants python 2.5 or higher and not v3. But, although python3 is part of FC 31 and automatically installed I set the path to the additional python 2.7.16. >> pyrhon --version even tells me that. But still I get the same error message. Any other advice how to get theli-gui up and running?
Maren
maren551
 
Beiträge: 2
Registriert: Freitag 15. März 2019, 18:40

Re: Python version not recognized

Beitragvon mischa » Freitag 3. Januar 2020, 14:08

Hi Maren,

please change your preferences such that when you invoke "python" on the command line, it selects python v2 and not python v3.

As I am no longer providing support for THELI v2, you can also use the latest release of THELI v3, available here: https://github.com/schirmermischa/THELI.
It is still in beta-stage, with occasional crashes, but overall working well. What type of imaging data do you want to reduce?

mischa
mischa
Moderator
 
Beiträge: 1183
Registriert: Freitag 7. Oktober 2011, 14:07
Wohnort: Chile

Re: Python version not recognized

Beitragvon maren551 » Montag 20. Januar 2020, 23:36

Hi Mischa,
ich habe einen Satz UKIRT data, die ich mir nochmal vornehmen moechte.
Und danke, ich versuche es mit Theli v3.

Maren
maren551
 
Beiträge: 2
Registriert: Freitag 15. März 2019, 18:40


Zurück zu Installation und Ubuntheli

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 3 Gäste

cron